text-show-3.6: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Array

Contents

- Orphan instances

Description

Provides `TextShow` instances for `Array` types, as well as the `showbIArrayPrec` function.

Since: 2

Synopsis

- showbIArrayPrec :: (IArray a e, Ix i, TextShow i, TextShow e) => Int -> a i e -> Builder

# Documentation

showbIArrayPrec :: (IArray a e, Ix i, TextShow i, TextShow e) => Int -> a i e -> Builder Source #

Convert an `IArray` instance to a `Builder` with the given precedence.

Since: 2

# Orphan instances

(IArray UArray e, Ix i, TextShow i, TextShow e) => TextShow (UArray i e) Source # | Since: 2

Methods

showbPrec :: Int -> UArray i e -> Builder Source #

showb :: UArray i e -> Builder Source #

showbList :: [UArray i e] -> Builder Source #

showtPrec :: Int -> UArray i e -> Text Source #

showt :: UArray i e -> Text Source #

showtList :: [UArray i e] -> Text Source #

showtlPrec :: Int -> UArray i e -> Text Source #

showtl :: UArray i e -> Text Source #

showtlList :: [UArray i e] -> Text Source #

(TextShow i, TextShow e, Ix i) => TextShow (Array i e) Source # | Since: 2
Methods showbPrec :: Int -> Array i e -> Builder Source # showb :: Array i e -> Builder Source # showbList :: [Array i e] -> Builder Source # showtPrec :: Int -> Array i e -> Text Source # showt :: Array i e -> Text Source # showtList :: [Array i e] -> Text Source # showtlPrec :: Int -> Array i e -> Text Source # showtl :: Array i e -> Text Source # showtlList :: [Array i e] -> Text Source #